Page MenuHomePhabricator

Exception when opening any dialog/inspector in VE
Closed, ResolvedPublic

Description

On Beta, there's an exception when opening any dialog/inspector in VE. The window doesn't open.

In particular, this prevents saving changes.

Uncaught TypeError: surface.getSelectionDirectionality is not a function
    at VeUiWindowAction.ve.ui.WindowAction.open
    at VeUiMWSurface.ve.ui.Surface.execute
    at VeUiMWLinkAction.ve.ui.MWLinkAction.open
    at VeUiMWSurface.ve.ui.Surface.execute
    at VeUiCommand.ve.ui.Command.execute
    at VeUiLinkContextItem.ve.ui.LinearContextItem.onEditButtonClick
    at OoUiButtonWidget.oo.EventEmitter.emit
    at OoUiButtonWidget.OO.ui.mixin.ButtonElement.onClick
    at HTMLAnchorElement.dispatch
    at HTMLAnchorElement.elemData.handle

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.33.0-wmf.2Update VE core submodule to wmf/1.33.0-wmf.2 (3b7661b75)
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (3dfcbdb3f)
VisualEditor/VisualEditor : wmf/1.33.0-wmf.2ve.ui.WindowAction: Fix exception when opening windows
VisualEditor/VisualEditor : masterve.ui.WindowAction: Fix exception when opening windows

Event Timeline

matmarex created this task.Oct 30 2018, 7:47 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 30 2018, 7:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex claimed this task.Oct 30 2018, 7:47 PM
matmarex triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 30 2018, 7:47 PM

Change 470667 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.WindowAction: Fix exception when opening windows

https://gerrit.wikimedia.org/r/470667

Change 470667 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.WindowAction: Fix exception when opening windows

https://gerrit.wikimedia.org/r/470667

Change 470672 had a related patch set uploaded (by Thcipriani; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@wmf/1.33.0-wmf.2] ve.ui.WindowAction: Fix exception when opening windows

https://gerrit.wikimedia.org/r/470672

Change 470672 merged by Thcipriani:
[VisualEditor/VisualEditor@wmf/1.33.0-wmf.2] ve.ui.WindowAction: Fix exception when opening windows

https://gerrit.wikimedia.org/r/470672

Change 470675 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3dfcbdb3f)

https://gerrit.wikimedia.org/r/470675

Change 470676 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.2] Update VE core submodule to wmf/1.33.0-wmf.2

https://gerrit.wikimedia.org/r/470676

matmarex updated the task description. (Show Details)Oct 30 2018, 8:15 PM

Change 470675 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3dfcbdb3f)

https://gerrit.wikimedia.org/r/470675

Change 470676 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.2] Update VE core submodule to wmf/1.33.0-wmf.2 (3b7661b75)

https://gerrit.wikimedia.org/r/470676

Mentioned in SAL (#wikimedia-operations) [2018-10-30T20:45:33Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.2/extensions/VisualEditor/lib/ve/src/ui/actions/ve.ui.WindowAction.js: [[gerrit:470672|ve.ui.WindowAction: Fix exception when opening windows]] T208347 (duration: 00m 54s)

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Oct 30 2018, 10:40 PM
Jdforrester-WMF moved this task from Incoming to QA on the VisualEditor (Current work) board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

De-prioritising as the train is unblocked now.

matmarex closed this task as Resolved.Oct 31 2018, 12:20 AM
matmarex raised the priority of this task from High to Unbreak Now!.

(I'm closing this task, contrary to our usual practice in VisualEditor, so that folks looking at T206656 can tell that it's not a blocker, since this is the usual practice for release blockers.)